## Script (Python) "getCategorie"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=path
##title=
##
# Example code:

# Import a standard function, and get the HTML request and response objects.
from Products.CMFCore.utils import getToolByName
from Products.PythonScripts.standard import html_quote
request = container.REQUEST
RESPONSE =  request.RESPONSE

# Riceve il percorso di un nodo e ne torna la posizione (percorso senza nome del nodo)
def getPath_node( Nodo ):
	return "/".join( Nodo.split('/')[:-1] )
	

# Riceve in ingresso lo zbrain del vocabolario da cui prendere le categorie di I livello
vocabulary_path = container.getAbsoluteFromPhysical( path=path.getObject().getPhysicalPath() )

pc = getToolByName( context, 'portal_catalog', None )
contents = pc.searchResults( portal_type='TreeVocabularyTerm', path=vocabulary_path )

# Devo vedere se l'ultimo campo della lista e' un portal_vocabulary, che per me vuol dire che
# sono su una categoria di primo livello, ma devo farlo usando indici negativi per essere sicuro che
# non sia una di II livello (in una di II livello la chiave portal_vocabulary non si trova li' se 
# parto da dietro !!! ) 
return [ x for x in contents if x.getObject().getPhysicalPath()[-3:-2][0] == 'portal_vocabularies' ]
