# Eseguito da Zope al caricamento del prodotto
# Registra FileSystemDirectoryViews per la cartella skins, cioe' dopo il  caricamento del prodotto
# portal_skins/Isf conterra' il mirror della cartella skins/Isf per prodotto

from Globals import package_home
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.CMFPlone.PloneUtilities import ToolInit
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize

import os, os.path, sys, content

# Configurazione, permessi ecc
from Products.PloneFacetedClassification.config import *

# Abstract S.n.c. - www.abstract.it
DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/PloneFacetedClassification', product_globals)

def initialize(context):   

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = DEFAULT_ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

